Skip to main content
`Ctrl`+`K`

# scipy.linalg.blas.csyrk

scipy.linalg.blas.csyrk(alpha, a[, beta, c, trans, lower, overwrite_c]) = <fortran function csyrk>

  Wrapper for `csyrk`.

  Parameters:
    alpha input complex
    a input rank-2 array(‘F’) with bounds (lda,ka)
  Returns:
    c rank-2 array(‘F’) with bounds (n,n)
  Other Parameters:
    beta input complex, optional

      Default: (0.0, 0.0)

    c input rank-2 array(‘F’) with bounds (n,n)
    overwrite_c input int, optional

      Default: 0

    trans input int, optional

      Default: 0

    lower input int, optional

      Default: 0